Bug 64882 - pilot-link doesn't support PilotMgr malsync conduit
pilot-link doesn't support PilotMgr malsync conduit
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: pilot-link (Show other bugs)
7.3
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-13 16:36 EDT by Ronan Waide
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-13 16:37:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add malsync-supporting interface to PDA::Pilot (2.67 KB, patch)
2002-05-13 16:37 EDT, Ronan Waide
no flags Details | Diff

  None (edit)
Description Ronan Waide 2002-05-13 16:36:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc2) Gecko/20020510

Description of problem:
Somewhat esoteric bug. The PilotManager conduit which uses the malsync tool for
syncing the pilot with AvantGo requires some slight modifications to the
PDA::Pilot module.

malsync can be found at http://www.tomw.org/malsync/
PilotMgr can be found at http://www.moshpit.org/pilotmgr/ and the MALsync
conduit is on http://www.moshpit.org/pilotmgr/conduits.html

The patches for PDA::Pilot are unfortunately no longer at the utexas address
mentioned on the malsync page since the user's home directory has apparently
evaporated. I've attached an amalgamated patch below that can be appended to the
end of the current patchlist in the pilot-link package.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Assemble components
2.Set up malsync conduit
3.Attempt to sync
	

Actual Results:  PDA::Pilot::connect is not a defined part of the PDA::Pilot
interface

Expected Results:  PDA::Pilot::connect should be part of the PDA::Pilot
interface for this to work.

Additional info:

I realise this may be of limited use, but it can't hurt to ask.
Comment 1 Ronan Waide 2002-05-13 16:37:38 EDT
Created attachment 57146 [details]
Add malsync-supporting interface to PDA::Pilot
Comment 2 Ngo Than 2002-06-05 14:41:21 EDT
i have already added this patch in pilot-link-0.9.5-17. Thanks

Note You need to log in before you can comment on or make changes to this bug.